%global basedir %{_datadir}/icinga-php/ipl

Name:           icinga-php-library
Version:        0.14.1
Release:        1%{?dist}
Summary:        Icinga PHP Library for Icinga Web 2
Group:          Applications/System
License:        MIT
URL:            https://icinga.com
Source0:        https://github.com/Icinga/%{name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icinga-php-common
Requires:       icinga-php-thirdparty
Requires:       php-intl
Requires:       php-pdo
Requires:       php-json


%description
This project bundles all Icinga PHP libraries into one
piece and can be integrated as library into Icinga Web 2.


%prep
%setup -q


%build


%install
mkdir -vp %{buildroot}%{basedir}
cp -vr asset %{buildroot}%{basedir}
cp -vr vendor %{buildroot}%{basedir}
cp -vr composer.* %{buildroot}%{basedir}
cp -vr VERSION %{buildroot}%{basedir}


%clean
rm -rf %{buildroot}


%files
%doc README.md
%license LICENSE
%defattr(-,root,root)
%{basedir}


%changelog
